<?php
/**
 * @file
 * Contains Licensing information for miniOrange SAML Login Module.
 */

/**
 * Showing Licensing form info.
 */
namespace Drupal\miniorange_saml_idp\Form;
use Drupal\Core\Form\FormBase;
use Drupal\miniorange_saml_idp\Utilities;

class MiniorangeLicensing extends FormBase {

    public function getFormId() {
        return 'miniorange_saml_licensing';
    }

    public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state)
    {

        $user_email = \Drupal::config('miniorange_saml_idp.settings')->get('miniorange_saml_customer_admin_email');
        global $base_url;
        $disable = !Utilities::isCustomerRegistered();
        $Target_value = '';
        $DoItYourSelf_URL_Redirect = $base_url. '/admin/config/people/miniorange_saml_idp/customer_setup' ;
        $Premium_URL_Redirect = $base_url. '/admin/config/people/miniorange_saml_idp/customer_setup' ;
        if(!$disable){
            $Target_value = 'target="_blank"';
            $DoItYourSelf_URL_Redirect = 'https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=drupal_saml_idp_basic_plan_v8';
            $Premium_URL_Redirect = 'https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=drupal_saml_idp_premium_plan_v8';
        }

        $form['markup_1'] = array(
            '#markup' =>'<div class="mo_saml_table_layout_1"><div class="mo_saml_table_layout"><br><h3>&emsp;  UPGRADE PLANS</h3><hr>'
        );

        $form['markup_free'] = array(
            '#markup' => '<html lang="en">
        <head>
            <meta charset="utf-8">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <!-- Main Style -->
        </head>
        <body>
        <!-- Pricing Table Section -->
        <section id="pricing-table">
            <div class="container_1">
                <div class="row">
                    <div class="pricing">
                        <div>
                            <div class="pricing-table class_inline_1">
                                <div class="pricing-header">
                                    <h1 class="pricing-title">Features / Plans</h1></br>
                                </div>
                                <div class="pricing-list">
                                    <ul>
                                        <li>Unlimited Authentications with</li>
                                        <li>SP Initiated Login</li>
                                        <li>Signed Assertion</li>
                                        <li>Metadata XML File</li>
                                        <li>Metadata XML URL</li>
                                        <li>Export Configuration</li>                                        
                                        <li>Import Configuration</li>                                        
                                        <li>Customized Attribute Mapping</li>
                                        <li>Single Logout</li>
                                        <li>Signed Assertion</li>
                                        <li>Signed Response</li>
                                        <li>Encrypted Assertion</li>
                                        <li>HTTP-POST Binding</li>
                                        <li>Generate Custom Certificate</li>
                                        <li>End to End Configuration **</li>
                                    </ul>
                                </div>
                        </div>
                                                     
                        <div class="pricing-table class_inline">
                            <div class="pricing-header">
                                <p class="pricing-title">Free</p><br><br><br><br><br><br>
                                <p class="pricing-rate">                                                                      
                                </p>
                                <div class="filler-class"></div>
                                 <a class="btn btn-danger btn-sm" style="padding:5px;">You are on this plan</a> <br><br>                                
                            </div>
                            
                            <div class="pricing-list">
                                <ul>
                                    <li>1 SP</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                    <li></li>
                                </ul>
                            </div>
                        </div>
                        
                        <div class="pricing-table class_inline">
                            <div class="pricing-header">
                                <p class="pricing-title">DO IT YOURSELF<br></p>    
                                <p class="pricing-rate"></p>
                                <div class="filler-class"></div>
                                 <a class="btn btn-danger btn-sm" style="padding:5px;" '.$Target_value.' href="'.$DoItYourSelf_URL_Redirect.'">Click here to upgrade</a>*<br><br></h4>
                            </div>
                            <div class="pricing-list">
                                <ul>
                                    <li>Multiple SPs*</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li></li>                                    
                                </ul>
                            </div>
                        </div>
                        
                        <div class="pricing-table class_inline">
                            <div class="pricing-header">
                                <p class="pricing-title">Premium<br></p>
                                <p class="pricing-rate"></p>
                                 <a class="btn btn-danger btn-sm" style="padding:5px;" '.$Target_value.' href="'.$Premium_URL_Redirect.'">Click here to upgrade</a>*<br><br></h4>
                            </div>
                            <div class="pricing-list">
                                <ul>                                  
                                    <li>Multiple SPs*</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                </ul>
                            </div>
                        </div>                                                                     
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Pricing Table Section End -->
    </body>
    </html>',
        );

        $form['hello1'] = [ '#type' => 'html_tag', '#tag' => 'script', '#attributes'=> ["src"=>"https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"]];

        $form['hello'] = [ '#type' => 'html_tag', '#tag' => 'script', '#value' => $this ->t('
            jQuery(document).ready(function($){
                $($("p.pricing-rate")[1]).append($(".js-form-item-mo-pricing-dropdown"));
                $($("p.pricing-rate")[1]).append($(".mo_pricing_plus_sign"));
                $($("p.pricing-rate")[1]).append($(".js-form-item-do-it-yourself-pricing"));
            }); 
        '), ];

        $form['mohello'] = [ '#type' => 'html_tag', '#tag' => 'script', '#value' => $this ->t('
            jQuery(document).ready(function($){
                $($("p.pricing-rate")[2]).append($(".js-form-item-mo-pricing-dropdown-2"));
                $($("p.pricing-rate")[2]).append($(".mo_pricing_plus_sign_2"));
                $($("p.pricing-rate")[2]).append($(".js-form-item-do-it-yourself-pricing-2"));
            }); 
        '), ];

        $form['mo_pricing_dropdown'] = [
            '#type' => 'select',
            '#title' => t('<div class="mo_saml_local_pricing_text">Service Providers :(One Time)</div>'),
            '#options' => array(
                '1' => t('1 - $50'),
                '2' => t('2 - $100'),
                '3' => t('3 - $150'),
                '4' => t('4 - $200'),
                '5' => t('5 - $250'),
                '10' => t('10 - $400'),
                '15' => t('15 - $525'),
                '20' => t('20- $600'),
            ),

        ];

        $form['mo_pricing_plus_sign'] = array(
            '#markup' => '<br><div class="mo_pricing_plus_sign">+</div>',
        );

        $form['Do_it_yourself_pricing'] = array(
            '#type' => 'select',
            '#title' => t('<div class="mo_saml_local_pricing_text">Users : (One Time)</div>'),
            '#options' => array(
                '200' => t('200 - $99'),
                '400' => t('400 - $199'),
                '600' => t('600 - $249'),
                '800' => t('800 - $299'),
                '1000' => t('1000 - $349'),
                '2000' => t('2000 - $449'),
                '3000' => t('3000 - $549'),
                '4000' => t('4000 - $649'),
                '5000' => t('5000 - $749'),
                '5000+' => t('5000+ Users - Contact Us'),
            ),
        );

        $form['mo_pricing_dropdown_2'] = [
            '#type' => 'select',
            '#title' => t('<div class="mo_saml_local_pricing_text">Service Providers :(One Time)</div>'),
            '#options' => array(
                '1' => t('1 - $50'),
                '2' => t('2 - $100'),
                '3' => t('3 - $150'),
                '4' => t('4 - $200'),
                '5' => t('5 - $250'),
                '10' => t('10 - $400'),
                '15' => t('15 - $525'),
                '20' => t('20- $600'),
            ),
        ];

        $form['mo_pricing_plus_sign_2'] = array(
            '#markup' => '<div class="mo_pricing_plus_sign_2">+</div>',
        );

        $form['Do_it_yourself_pricing_2'] = array(
            '#type' => 'select',
            '#title' => t('<div class="mo_saml_local_pricing_text">Users : (One Time)</div>'),
            '#options' => array(
                '200' => t('200 - $99'),
                '400' => t('400 - $199'),
                '600' => t('600 - $249'),
                '800' => t('800 - $299'),
                '1000' => t('1000 - $349'),
                '2000' => t('2000 - $449'),
                '3000' => t('3000 - $549'),
                '4000' => t('4000 - $649'),
                '5000' => t('5000 - $749'),
                '5000+' => t('5000+ Users - Contact Us'),
            ),
        );

        $form['markup_5'] = array(
            '#markup' => '</b><br><div class="mo_saml_space"><h3>Steps to Upgrade to Premium Module</h3>'
                . '<ol>
                <li>You will be redirected to miniOrange Login Console. Enter your password with which you created an account with us. After that you will be redirected to payment page.</li>'
                . '<li>Enter you card details and complete the payment. On successful payment completion, you will see the link to download the premium module.</li>'
                . 'Once you download the premium module, just unzip it and replace the folder with existing module. Clear Drupal Cache.</li></ol><br>'
        );

        $form['markup_6'] = array(
            '#markup' => '<h3>* Multiple SPs</h3>'
            .'Additional charges will be applicable based on the number of Service Providers you wish to configure.<br>'
        );
        $form['markup_7'] = array(
            '#markup' => '<br><h3>** End to End Identity Provider Integration (additional charges applied)</h3>'
                . ' We will setup a Conference Call / Gotomeeting and do end to end configuration for you to setup dupal as IDP.'
                . ' We provide services to do the configuration on your behalf.<br />'
                . ' If you have any doubts regarding the licensing plans, you can mail us at <a href="mailto:info@xecurify.com"><i>info@xecurify.com</i></a> or submit a query using the support form <b>(support form available on each tab)</b>.<br><br></div></div></div></div>'
        );
        return $form;
    }

    public function submitForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {

    }

}

